Atualiza valores de personalizacao
curl --request PATCH \
--url https://api.example.com/unidade-negocio/{unidadeNegocioId}/personalizacao \
--header 'Content-Type: application/json' \
--data '
{
"logo": "dGVzdA==",
"internalCode": "0001"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({logo: 'dGVzdA==', internalCode: '0001'})
};
fetch('https://api.example.com/unidade-negocio/{unidadeNegocioId}/personalizacao', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/unidade-negocio/{unidadeNegocioId}/personalizacao"
payload = {
"logo": "dGVzdA==",
"internalCode": "0001"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/unidade-negocio/{unidadeNegocioId}/personalizacao"
payload := strings.NewReader("{\n \"logo\": \"dGVzdA==\",\n \"internalCode\": \"0001\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"unidadeNegocioId": "2dbc29ba-70bf-4a3f-ae0b-0c778605969f",
"success": true,
"logo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"internalCode": "0001"
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Unidade de Negócio
Atualiza valores de personalizacao
PATCH
/
unidade-negocio
/
{unidadeNegocioId}
/
personalizacao
Atualiza valores de personalizacao
Path Parameters
ID da unidade de negócio
Body
application/json
Dados para a atualização de personalizacao
Response
Gerenciamento atualizado com sucesso
Id da unidade de negócio atualizada
Example:
"2dbc29ba-70bf-4a3f-ae0b-0c778605969f"
Status do Update
Example:
true
Url para download da logo
Example:
"https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
Código interno da unidade de negócio
Example:
"0001"